# VectorNav C++ Library: vn::sensors::GpsConfigurationRegister Struct Reference

vn::sensors::GpsConfigurationRegister Struct Reference
Register Structures

Structure representing the GPS Configuration register. More...

`#include <registers.h>`

## Public Member Functions

| GpsConfigurationRegister (protocol::uart::GpsMode modeIn, protocol::uart::PpsSource ppsSourceIn)
| Creates an initializes a new GpsConfigurationRegister structure. More...

## Public Attributes

protocol::uart::GpsMode | mode
| The mode field.
protocol::uart::PpsSource | ppsSource
| The ppsSource field.

## Detailed Description

Structure representing the GPS Configuration register.

## Constructor & Destructor Documentation

vn::sensors::GpsConfigurationRegister::GpsConfigurationRegister | ( | protocol::uart::GpsMode | modeIn,
|  | protocol::uart::PpsSource | ppsSourceIn
| ) |  |

inline

Creates an initializes a new GpsConfigurationRegister structure.

Parameters

  [in] | modeIn | Value to initialize the mode field with.
  [in] | ppsSourceIn | Value to initialize the ppsSource field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h